Skip to main content
`Ctrl`+`K`

# DMDASNESObjectiveVecFn

`Vec`-based variant of `DMDASNESObjectiveFn`, set with `DMDASNESSetObjectiveLocalVec()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode DMDASNESObjectiveVecFn(DMDALocalInfo *info, Vec u, PetscReal *obj, PetscCtx ctx);

## Calling Sequence

- info - the local grid information from the `DMDA`

- u - the local input solution `Vec`

- obj - on output, the local contribution to the objective function value

- ctx - optional user-provided context

## See Also

`DMDA`, `SNES`, `DMDASNESSetObjectiveLocalVec()`, `DMDASNESObjectiveFn`, `DMDASNESFunctionVecFn`, `DMDASNESJacobianVecFn`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages